## libayatana-indicator 0.9.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(libayatana-indicator C)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# Check for prerequisites

option(FLAVOUR_GTK2 "Build against GTK+-2.0" OFF)
option(FLAVOUR_GTK3 "Build against GTK+-3.0" ON)
option(ENABLE_LOADER "Build Ayatana Indicator Loader" ON)
option(ENABLE_IDO "Enable IDO specific code" ON)

if (FLAVOUR_GTK2)
    set (FLAVOUR_GTK3 OFF)
    set (ENABLE_IDO OFF)
endif()
if (FLAVOUR_GTK3)
    set (FLAVOUR_GTK2 OFF)
endif()

set(DEPS
    glib-2.0>=2.37
    gmodule-2.0
    gio-unix-2.0
)
if (FLAVOUR_GTK3)
    set(DEPS
    ${DEPS}
    gtk+-3.0>=3.24
    )
endif()
if (FLAVOUR_GTK2)
    set(DEPS
    ${DEPS}
    gtk+-2.0>=2.18
    )
endif()

if (FLAVOUR_GTK3 AND ENABLE_IDO)
    set(DEPS
        ${DEPS}
        libayatana-ido3-0.4>=0.8.2
    )
endif()

find_package (PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED ${DEPS})

include(CheckLibraryExists)

CHECK_LIBRARY_EXISTS(m sin "" HAVE_LIB_M)
if (HAVE_LIB_M)
    set(EXTRA_LIBS ${EXTRA_LIBS} m)
endif (HAVE_LIB_M)

# Set global variables

include(GNUInstallDirs)
set(ABI_VERSION "7")
set(API_VERSION "4")
set(PROJECT_VERSION "0.9.3")
set(PROJECT_NAME "libayatana-indicator")

# Make everything

add_subdirectory(src)
add_subdirectory(data)

if (ENABLE_LOADER)

    add_subdirectory(tools)

endif()

set (COVERAGE_TEST_EXECUTABLES
     "service-manager-connect"
     "service-manager-connect-service"
     "service-manager-no-connect"
     "service-manager-nostart-connect"
     "service-shutdown-timeout"
     "service-version-bad-service"
     "service-version-good-service"
     "service-version-manager"
     "service-version-multiwatch-manager"
     "service-version-multiwatch-manager-impolite"
     "service-version-multiwatch-service"
     "test-desktop-shortcuts"
     "test-loader"
)

if(FLAVOUR_GTK3 AND ENABLE_IDO)
  set (COVERAGE_TEST_EXECUTABLES
       ${COVERAGE_TEST_EXECUTABLES}
       "test-indicator-ng"
  )
endif()

if(ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "ayatana-indicator3"
            TESTS ${COVERAGE_TEST_EXECUTABLES}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "GTK+-3.0 build: ${FLAVOUR_GTK3}")
message(STATUS "GTK+-2.0 build: ${FLAVOUR_GTK2}")
message(STATUS "Loader enabled ${ENABLE_LOADER}")
message(STATUS "IDO enabled: ${ENABLE_IDO}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
# ayatana-indicator3-0.4.pc

if (FLAVOUR_GTK3)
    if (ENABLE_IDO)
        configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator3.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator3-0.${API_VERSION}.pc" @ONLY)
    else()
        configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator3-no-IDO.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator3-0.${API_VERSION}.pc" @ONLY)
    endif()
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator3-0.${API_VERSION}.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/")
else()
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-0.${API_VERSION}.pc" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-0.${API_VERSION}.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/")
endif()

=== src/CMakeLists.txt ===
# indicator-desktop-shortcuts.h
# indicator-image-helper.h
# indicator-ng.h
# indicator-object.h
# indicator-service-manager.h
# indicator-service.h
# indicator.h

if (FLAVOUR_GTK3)
    # libayatana-indicator3.so
    set (ayatana_indicator_gtkver "ayatana-indicator3")
else()
    # libayatana-indicator.so
    set (ayatana_indicator_gtkver "ayatana-indicator")
endif()

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-desktop-shortcuts.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-image-helper.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-ng.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-object.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-service-manager.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator-service.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/indicator.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_indicator_gtkver}-0.${API_VERSION}/libayatana-indicator")

set(HEADERS
    indicator.h
    indicator-desktop-shortcuts.h
    indicator-image-helper.h
    indicator-object.h
    indicator-service.h
    indicator-service-manager.h
)

if (FLAVOUR_GTK3 AND ENABLE_IDO)
    set(HEADERS
        ${HEADERS}
        indicator-ng.h
    )
endif()

set(SOURCES
    gen-indicator-service.xml.c
    indicator-desktop-shortcuts.c
    indicator-image-helper.c
    indicator-object.c
    indicator-object-enum-types.c
    indicator-object-marshal.c
    indicator-service.c
    indicator-service-manager.c
)

if (FLAVOUR_GTK3 AND ENABLE_IDO)
    set(SOURCES
        ${SOURCES}
        indicator-ng.c
    )
endif()

# indicator-object-enum-types.h

find_program(GLIB_MKENUMS glib-mkenums)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template indicator-object-enum-types.h.template
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.h"
)

# indicator-object-enum-types.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template indicator-object-enum-types.c.template
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.c"
)

find_program(GLIB_GENMARSHAL glib-genmarshal)

# indicator-object-marshal.h

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-marshal.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-enum-types.c"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_indicator_object_marshal
    --header indicator-object-marshal.list
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/indicator-object-marshal.h"
)

# indicator-object-marshal.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-marshal.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/indicator-object-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_indicator_object_marshal
    --body indicator-object-marshal.list
    --include-header=indicator-object-marshal.h
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/indicator-object-marshal.c"
)

add_custom_target("src-generated" DEPENDS "indicator-object-marshal.c")

# gen-indicator-service.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-indicator-service.xml.h" "extern const char * _indicator_service;")

# gen-indicator-service.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/indicator-service.xml" GEN_INDICATOR_SERVICE_XML_C)
string(REPLACE "\"" "\\\"" GEN_INDICATOR_SERVICE_XML_C ${GEN_INDICATOR_SERVICE_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_INDICATOR_SERVICE_XML_C ${GEN_INDICATOR_SERVICE_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_INDICATOR_SERVICE_XML_C ${GEN_INDICATOR_SERVICE_XML_C})
string(PREPEND GEN_INDICATOR_SERVICE_XML_C "const char * _indicator_service = \n\"")
string(APPEND GEN_INDICATOR_SERVICE_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-indicator-service.xml.c" ${GEN_INDICATOR_SERVICE_XML_C})


# libayatana-indicator{,3}.so

add_library("${ayatana_indicator_gtkver}" SHARED ${SOURCES})
set_target_properties("${ayatana_indicator_gtkver}" PROPERTIES VERSION ${ABI_VERSION}.0.0 SOVERSION ${ABI_VERSION})
target_compile_definitions("${ayatana_indicator_gtkver}" PUBLIC DG_LOG_DOMAIN="libayatana-indicator")
target_include_directories("${ayatana_indicator_gtkver}" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("${ayatana_indicator_gtkver}" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories("${ayatana_indicator_gtkver}" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_link_options("${ayatana_indicator_gtkver}" PRIVATE "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/indicator.symbols")
target_link_libraries("${ayatana_indicator_gtkver}" ${PROJECT_DEPS_LIBRARIES} ${EXTRA_LIBS})
add_dependencies("${ayatana_indicator_gtkver}" "src-generated")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so.${ABI_VERSION}" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so.${ABI_VERSION}.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

=== tests/CMakeLists.txt ===
if (FLAVOUR_GTK3)
    # libayatana-indicator3.so
    set (ayatana_indicator_gtkver "ayatana-indicator3")
else()
    # libayatana-indicator.so
    set (ayatana_indicator_gtkver "ayatana-indicator")
endif()

find_program(DBUS_TEST_RUNNER dbus-test-runner)

function(add_test_library_by_name name)
  set (TEST_LIBRARY_NAME ${name})
  add_library("${TEST_LIBRARY_NAME}" SHARED ${TEST_LIBRARY_NAME}.c)
  target_include_directories("${TEST_LIBRARY_NAME}" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
  target_include_directories("${TEST_LIBRARY_NAME}" PUBLIC "${CMAKE_SOURCE_DIR}/src")
  target_link_libraries("${TEST_LIBRARY_NAME}" ${PROJECT_DEPS_LIBRARIES} -l${ayatana_indicator_gtkver})
  target_link_directories("${TEST_LIBRARY_NAME}" PUBLIC "${CMAKE_BINARY_DIR}/src")
  add_dependencies("${TEST_LIBRARY_NAME}" "${ayatana_indicator_gtkver}")
endfunction()

function(add_test_executable_by_name name)
  set (TEST_EXECUTABLE_NAME ${name})
  add_executable("${TEST_EXECUTABLE_NAME}" ${TEST_EXECUTABLE_NAME}.c)
  target_compile_definitions("${TEST_EXECUTABLE_NAME}" PUBLIC BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")
  target_compile_definitions("${TEST_EXECUTABLE_NAME}" PUBLIC SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
  target_include_directories("${TEST_EXECUTABLE_NAME}" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
  target_include_directories("${TEST_EXECUTABLE_NAME}" PUBLIC "${CMAKE_SOURCE_DIR}/src")
  target_link_libraries("${TEST_EXECUTABLE_NAME}" ${PROJECT_DEPS_LIBRARIES} -l${ayatana_indicator_gtkver})
  target_link_directories("${TEST_EXECUTABLE_NAME}" PUBLIC "${CMAKE_BINARY_DIR}/src")
  add_dependencies("${TEST_EXECUTABLE_NAME}" "${ayatana_indicator_gtkver}")
endfunction()

add_test_library_by_name(dummy-indicator-blank)
add_test_library_by_name(dummy-indicator-entry-func)
add_test_library_by_name(dummy-indicator-null)
add_test_library_by_name(dummy-indicator-signaler)
add_test_library_by_name(dummy-indicator-simple)
add_test_library_by_name(dummy-indicator-visible)

# session.conf
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/session.conf.in" "${CMAKE_CURRENT_BINARY_DIR}/session.conf" @ONLY)

# service-manager-connect.service
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/service-manager-connect.service.in" "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect.service" @ONLY)

# service-manager-connect
add_test_executable_by_name(service-manager-connect)

# service-manager-connect-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-tester"
    DEPENDS "service-manager-connect"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --dbus-config ${CMAKE_CURRENT_BINARY_DIR}/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect" >> "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-tester"
)
add_test("service-manager-connect-tester" "service-manager-connect-tester")

# service-manager-connect-service
add_test_executable_by_name(service-manager-connect-service)

# service-manager-no-connect
add_test_executable_by_name(service-manager-no-connect)

# service-manager-no-connect-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-manager-no-connect-tester"
    DEPENDS "service-manager-no-connect"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-manager-no-connect-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/service-manager-no-connect" >> "${CMAKE_CURRENT_BINARY_DIR}/service-manager-no-connect-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-manager-no-connect-tester"
)
add_test("service-manager-no-connect-tester" "service-manager-no-connect-tester")

# service-manager-nostart-connect
add_test_executable_by_name(service-manager-nostart-connect)

# service-manager-connect-nostart-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-nostart-tester"
    DEPENDS "service-manager-connect-service"
    DEPENDS "service-manager-nostart-connect"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-nostart-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --task ${CMAKE_CURRENT_BINARY_DIR}/service-manager-nostart-connect --task ${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-service" >> "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-nostart-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-manager-connect-nostart-tester"
)
add_test("service-manager-connect-nostart-tester" "service-manager-connect-nostart-tester")

# service-shutdown-timeout
add_test_executable_by_name(service-shutdown-timeout)

# service-shutdown-timeout-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-shutdown-timeout-tester"
    DEPENDS "service-shutdown-timeout"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-shutdown-timeout-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/service-shutdown-timeout" >> "${CMAKE_CURRENT_BINARY_DIR}/service-shutdown-timeout-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-shutdown-timeout-tester"
)
add_test("service-shutdown-timeout-tester" "service-shutdown-timeout-tester")

# service-version-bad.service
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/service-version-bad.service.in" "${CMAKE_CURRENT_BINARY_DIR}/service-version-bad.service" @ONLY)

# service-version-bad-service
add_test_executable_by_name(service-version-bad-service)

# service-version-good.service
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/service-version-good.service.in" "${CMAKE_CURRENT_BINARY_DIR}/service-version-good.service" @ONLY)

# service-version-good-service
add_test_executable_by_name(service-version-good-service)

# service-version-manager
add_test_executable_by_name(service-version-manager)

# service-version-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-version-tester"
    DEPENDS "service-shutdown-timeout"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-version-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --dbus-config ${CMAKE_CURRENT_BINARY_DIR}/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-manager" >> "${CMAKE_CURRENT_BINARY_DIR}/service-version-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-version-tester"
)
add_test("service-version-tester" "service-version-tester")

# service-version-multiwatch-manager
add_test_executable_by_name(service-version-multiwatch-manager)

# service-version-multiwatch-manager-impolite
add_test_executable_by_name(service-version-multiwatch-manager-impolite)

# service-version-multiwatch-service
add_test_executable_by_name(service-version-multiwatch-service)

# service-version-multiwatch-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-tester"
    DEPENDS "service-version-multiwatch-manager"
    DEPENDS "service-version-multiwatch-manager-impolite"
    DEPENDS "service-version-multiwatch-service"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-tester"
    COMMAND
    echo "${DBUS_TEST_RUNNER} --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-service --task-name Service --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager --task-name Manager1 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager --task-name Manager2 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager --task-name Manager3 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager --task-name Manager4 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager --task-name Manager5 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager-impolite --task-name Impolite1 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager-impolite --task-name Impolite2 --task ${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-manager-impolite --task-name Impolite3" >> "${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/service-version-multiwatch-tester"
)
add_test("service-version-multiwatch-tester" "service-version-multiwatch-tester")

# test-desktop-shortcuts
add_test_executable_by_name(test-desktop-shortcuts)

# test-desktop-shortcuts-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts-tester"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/bash" > "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts-tester"
    COMMAND
    echo ". ${CMAKE_CURRENT_SOURCE_DIR}/run-xvfb.sh" >> "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts-tester"
    COMMAND
    echo "gtester -k --verbose -o=${CMAKE_CURRENT_BINARY_DIR}/loader-check-results.xml ${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts" >> "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts-tester"
    COMMAND
    chmod +x "${CMAKE_CURRENT_BINARY_DIR}/test-desktop-shortcuts-tester"
)
add_test("test-desktop-shortcuts-tester" "test-desktop-shortcuts-tester")

if (FLAVOUR_GTK3 AND ENABLE_IDO)
  # test-indicator-ng
  add_test_executable_by_name(test-indicator-ng)

  # org.ayatana.indicator.test.service
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.indicator.test.service.in" "${CMAKE_CURRENT_BINARY_DIR}/org.ayatana.indicator.test.service" @ONLY)

  # test-indicator-ng-dbus-runner
  add_custom_command(
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner"
      DEPENDS "test-indicator-ng"
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM
      COMMAND
      echo "#!/bin/sh" > "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner"
      COMMAND
      echo "${DBUS_TEST_RUNNER} --dbus-config /usr/share/dbus-test-runner/session.conf --task ${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng" >> "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner"
      COMMAND
      chmod +x "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner"
  )

  # test-indicator-ng-tester
  add_custom_command(
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-tester"
      DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner"
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      VERBATIM
      COMMAND
      echo "#!/bin/bash" > "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-tester"
      COMMAND
      echo ". ${CMAKE_CURRENT_SOURCE_DIR}/run-xvfb.sh" >> "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-tester"
      COMMAND
      echo "gtester -k --verbose -o=${CMAKE_CURRENT_BINARY_DIR}/loader-check-results.xml ${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-dbus-runner" >> "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-tester"
      COMMAND
      chmod +x "${CMAKE_CURRENT_BINARY_DIR}/test-indicator-ng-tester"
  )
  add_test("test-indicator-ng-tester" "test-indicator-ng-tester")
endif(FLAVOUR_GTK3 AND ENABLE_IDO)

# test-loader
add_test_executable_by_name(test-loader)

# loader-tester
add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/loader-tester"
    DEPENDS "test-loader"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    COMMAND
    echo "#!/bin/bash" > "${CMAKE_CURRENT_BINARY_DIR}/loader-tester"
    COMMAND

=== debian/changelog ===
libayatana-indicator (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 00:25:25 +0200

=== debian/control ===
Source: libayatana-indicator
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: at-spi2-core,
               cmake,
               cmake-extras,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               libtool,
               intltool,
               gtk-doc-tools,
               dbus-test-runner,
               xauth,
               xvfb,
               libglib2.0-dev (>= 2.37),
               libgtk2.0-dev (>= 2.18),
               libgtk-3-dev (>= 2.91.3),
               libayatana-ido3-dev (>= 0.9.0),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator

Package: libayatana-indicator7
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: panel indicator applet - shared library (GTK-2+ variant)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains the library itself (GTK-2+ variant).

Package: libayatana-indicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev (>= 2.12.0),
         libayatana-indicator7 (= ${binary:Version}),
Description: panel indicator applet - library development files (GTK-2+)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains files that are needed to build GTK-2+ applications
 with Ayatana Indicator support.

Package: libayatana-indicator3-7
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: panel indicator applet - shared library (GTK-3+ variant)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains the library itself (GTK-3+ variant).

Package: libayatana-indicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-dev (>= 2.91.3),
         libayatana-ido3-dev (>= 0.9.0),
         libayatana-indicator3-7 (= ${binary:Version}),
Description: panel indicator applet - library development files (GTK-3+)
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains files that are needed to build GTK-3+ applications
 with Ayatana Indicator support.

Package: libayatana-indicator3-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator3-7 (= ${binary:Version}),
Multi-Arch: foreign
Replaces: libayatana-indicator-tools,
Conflicts: libayatana-indicator-tools,
Description: Tools for libayatana-indicator
 The Ayatana Indicators library contains information to build indicators
 to go into modern desktops' indicator applets.
 .
 This package contains tools useful for developers of applications using
 indicators.

=== debian/rules ===
#!/usr/bin/make -f

FLAVOURS = gtk2 gtk3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

COMMON_CONFIGURE_FLAGS = -DENABLE_TESTS=ON

CONFIGURE_FLAGS_gtk2 = -DFLAVOUR_GTK2=ON -DFLAVOUR_GTK3=OFF -DENABLE_TESTS=ON -DENABLE_COVERAGE=OFF
CONFIGURE_FLAGS_gtk3 = -DFLAVOUR_GTK3=ON -DFLAVOUR_GTK2=OFF -DENABLE_TESTS=ON -DENABLE_COVERAGE=OFF

export G_MESSAGES_DEBUG = all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure: $(FLAVOURS:%=doconfigure-%)

doconfigure-%:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/$* -- $(COMMON_CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_$*)

override_dh_auto_build: $(FLAVOURS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=builddir/$*

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel --builddirectory=builddir/gtk2
	xvfb-run -a dh_auto_test --no-parallel --builddirectory=builddir/gtk3

override_dh_auto_install: $(FLAVOURS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=builddir/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -delete
	find debian/tmp -name libdummy-indicator\* -delete
	rm -f debian/tmp/gtk2/usr/share/libayatana-indicator/80indicator-debugging
	dh_install -plibayatana-indicator7 --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-indicator-dev --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_missing:
	dh_missing -plibayatana-indicator7 --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-indicator-dev --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_makeshlibs:
	dh_makeshlibs -plibayatana-indicator7 -V 'libayatana-indicator7 (>= 0.6.0)'
	dh_makeshlibs -plibayatana-indicator3-7 -V 'libayatana-indicator3-7 (>= 0.6.0)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf builddir/
	rm -Rf build-aux/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libayatana-indicator 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,7 +83,7 @@
 include(GNUInstallDirs)
 set(ABI_VERSION "7")
 set(API_VERSION "4")
-set(PROJECT_VERSION "0.9.3")
+set(PROJECT_VERSION "0.9.4")
 set(PROJECT_NAME "libayatana-indicator")
 
 # Make everything

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -142,6 +142,4 @@
 target_link_options("${ayatana_indicator_gtkver}" PRIVATE "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/indicator.symbols")
 target_link_libraries("${ayatana_indicator_gtkver}" ${PROJECT_DEPS_LIBRARIES} ${EXTRA_LIBS})
 add_dependencies("${ayatana_indicator_gtkver}" "src-generated")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so.${ABI_VERSION}" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_indicator_gtkver}.so.${ABI_VERSION}.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
+install(TARGETS "${ayatana_indicator_gtkver}" LIBRARY DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

=== tools/CMakeLists.txt ===
if (FLAVOUR_GTK3 AND ENABLE_IDO)
    # ayatana-indicator-loader3

    add_executable("ayatana-indicator-loader3" indicator-loader.c)
    target_include_directories("ayatana-indicator-loader3" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
    target_include_directories("ayatana-indicator-loader3" PUBLIC "${CMAKE_SOURCE_DIR}/src")
    target_link_libraries("ayatana-indicator-loader3" ${PROJECT_DEPS_LIBRARIES} "-L${CMAKE_BINARY_DIR}/src" -layatana-indicator3)
    add_dependencies("ayatana-indicator-loader3" "ayatana-indicator3")

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-loader3" DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${PROJECT_NAME}")
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/80indicator-debugging" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
endif()

=== debian/changelog ===
libayatana-indicator (0.9.4-2) unstable; urgency=medium

  * Add patch to fix tests with new at-spi2-core (Closes: #1113114)
    (LP: #2124957)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 06 Oct 2025 16:04:43 +0200

libayatana-indicator (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Mar 2024 08:10:51 +0100

libayatana-indicator (0.9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK 2 support. (Closes: #967568).

 -- Bastian Germann <bage@debian.org>  Mon, 13 Nov 2023 15:27:03 +0100

=== debian/control ===
--- 
+++ 
@@ -16,39 +16,13 @@
                xauth,
                xvfb,
                libglib2.0-dev (>= 2.37),
-               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
                libayatana-ido3-dev (>= 0.9.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator
-
-Package: libayatana-indicator7
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Multi-Arch: same
-Description: panel indicator applet - shared library (GTK-2+ variant)
- The Ayatana Indicators library contains information to build indicators
- to go into modern desktops' indicator applets.
- .
- This package contains the library itself (GTK-2+ variant).
-
-Package: libayatana-indicator-dev
-Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgtk2.0-dev (>= 2.12.0),
-         libayatana-indicator7 (= ${binary:Version}),
-Description: panel indicator applet - library development files (GTK-2+)
- The Ayatana Indicators library contains information to build indicators
- to go into modern desktops' indicator applets.
- .
- This package contains files that are needed to build GTK-2+ applications
- with Ayatana Indicator support.
 
 Package: libayatana-indicator3-7
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONFIGURE_FLAGS = -DFLAVOUR_GTK3=ON -DFLAVOUR_GTK2=OFF -DENABLE_TESTS=ON -DENABLE_COVERAGE=OFF

export G_MESSAGES_DEBUG = all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/gtk3 -- $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build --builddirectory=builddir/gtk3

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel --builddirectory=builddir/gtk3

override_dh_auto_install:
	dh_auto_install --builddirectory=builddir/gtk3 --destdir=debian/tmp/gtk3

override_dh_install:
	find debian/tmp -name \*.la -delete
	find debian/tmp -name libdummy-indicator\* -delete
	dh_install -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_missing:
	dh_missing -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_makeshlibs:
	dh_makeshlibs -plibayatana-indicator3-7 -V 'libayatana-indicator3-7 (>= 0.6.0)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf builddir/
	rm -Rf build-aux/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-indicator/libayatana-indicator-(.+)\.tar\.gz

## libayatana-indicator 0.9.4-0+git20231013.2072+20.04.nightly.1

=== debian/changelog ===
libayatana-indicator (0.9.4-0+git20231013.2072+20.04.nightly.1) focal; urgency=medium

  * Development-Snapshot!!! Auto-built Ubuntu focal package for
    packages.arctica-project.org repository (Git commit:
    611bb384b73fa6311777ba4c41381a06f5b99dad).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 13 Oct 2023 10:27:20 +0200

libayatana-indicator (0.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:39:58 +0200

libayatana-indicator (0.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 26 Oct 2022 00:06:50 +0200

libayatana-indicator (0.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Sep 2022 08:34:46 +0200

libayatana-indicator (0.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 21:36:58 +0100

libayatana-indicator (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 14:06:42 +0100

libayatana-indicator (0.8.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 25 Jan 2021 17:05:46 +0100

libayatana-indicator (0.8.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 09 Nov 2020 20:26:54 +0100

libayatana-indicator (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:25:45 +0200

libayatana-indicator (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 26 Aug 2020 09:31:19 +0200

libayatana-indicator (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 14 Aug 2020 21:03:24 +0200

libayatana-indicator (0.7.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Jul 2020 21:37:10 +0200

libayatana-indicator (0.6.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 20 Nov 2019 14:20:10 +0100

libayatana-indicator (0.6.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Mar 2018 09:37:13 +0000

libayatana-indicator (0.6.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Sep 2017 10:11:39 +0200

libayatana-indicator (0.6.0-0) unstable; urgency=medium

  * Fork from Ubuntu's libindicator.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 22 May 2017 13:48:53 +0200

libindicator (12.10.2+14.10.20140922-0ubuntu1) utopic; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorNG: Reverse the scroll delta on left scroll events

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Sep 2014 13:41:36 +0000

libindicator (12.10.2+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Don't load using the icon info structure if it's a GBytesIcon. (LP:
    #1293548)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 14:50:52 +0000

libindicator (12.10.2+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorImageHelper: always try to use a GIcon or the filename as
    source of the GdkImage We don't need to fallback to pure pixbuf,
    unless an indicator provided a custom icon that is not in the
    current theme path. This helps a lot in reducing the Unity7 workload
    as this decreases the cases where we need to encode the pixbuf
    contents, send them via dbus to unity, encode them back, reload to a
    new pixbuf... Also thanks to this, the library clients can load the
    actual icon, scaled at the value they want. (LP: #784055)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 10:58:35 +0000

libindicator (12.10.2+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorObject: add parent_window parameter to IndicatorEntry

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 15:45:39 +0000

libindicator (12.10.2+14.04.20140129-0ubuntu1) trusty; urgency=low

  [ Colin Watson ]
  * Use named icons rather than (deprecated) stock items. (LP: #1262626)

  [ Lars Uebernickel ]
  * Don't treat deprecation warnings as errors and fix indicator-ng test
    for gtk 3.10. (LP: #1262626)
  * indicator-ng: support "submenu-action" on root menu items (LP:
    #793450)



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libayatana-indicator
-Section: libs
+Section: nightly/libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
+Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 Build-Depends: at-spi2-core,
                cmake,
                cmake-extras,
-               debhelper-compat (= 13),
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                libtool,
                intltool,
@@ -16,13 +14,39 @@
                xauth,
                xvfb,
                libglib2.0-dev (>= 2.37),
+               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
-               libayatana-ido3-dev (>= 0.9.0),
-Standards-Version: 4.6.2
+               libayatana-ido3-dev (>= 0.8.0),
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator
+Vcs-Git: git://cgit.arctica-project.org/ayatana/libayatana-indicator.git
+Vcs-Browser: https://cgit.arctica-project.org/ayatana/libayatana-indicator.git/
+
+Package: libayatana-indicator7
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Multi-Arch: same
+Description: panel indicator applet - shared library (GTK-2+ variant)
+ The Ayatana Indicators library contains information to build indicators
+ to go into modern desktops' indicator applets.
+ .
+ This package contains the library itself (GTK-2+ variant).
+
+Package: libayatana-indicator-dev
+Section: nightly/libdevel
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libgtk2.0-dev (>= 2.12.0),
+         libayatana-indicator7 (= ${binary:Version}),
+Description: panel indicator applet - library development files (GTK-2+)
+ The Ayatana Indicators library contains information to build indicators
+ to go into modern desktops' indicator applets.
+ .
+ This package contains files that are needed to build GTK-2+ applications
+ with Ayatana Indicator support.
 
 Package: libayatana-indicator3-7
 Architecture: any
@@ -36,12 +60,12 @@
  This package contains the library itself (GTK-3+ variant).
 
 Package: libayatana-indicator3-dev
-Section: libdevel
+Section: nightly/libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgtk-3-dev (>= 2.91.3),
-         libayatana-ido3-dev (>= 0.9.0),
+         libayatana-ido3-dev (>= 0.8.0),
          libayatana-indicator3-7 (= ${binary:Version}),
 Description: panel indicator applet - library development files (GTK-3+)
  The Ayatana Indicators library contains information to build indicators
@@ -51,7 +75,7 @@
  with Ayatana Indicator support.
 
 Package: libayatana-indicator3-tools
-Section: devel
+Section: nightly/devel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
